<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Killboard.Models.ekbInvolved>" %>
<%@Import namespace="KillParser"%>
<%
    //Handle null alliances.
    string AllianceName = "";
    if (Model.ekbAlliance == null)
    {
        AllianceName = "NONE";
    }
    else
    {
        AllianceName = Model.ekbAlliance.AllianceName;
    }

    string pictureClass;
    
    if (Model.LaidFinalBlow)
    {
        pictureClass = "finalBlow";
    }
    else
    {
        pictureClass = "picture64";
    }

    string eveURL ="";
    string shipUrl = "";

    string pilotName;
    string corpName = "";

    if (Model.isNPC)
    {
        Killboard.Models.KillRepository repo = new Killboard.Models.KillRepository();
        eveURL = "/Content/siteGraphics/Unknown.png";
        shipUrl = "/Content/siteGraphics/Unknown.png";
        //pilotName = repo.GetItemName(Convert.ToInt16(Model.PilotID));
        pilotName = Model.invType2.typeName;

        corpName = repo.GetNPCCorp(Model.CorpID.Value);
        
    }
    else
    {
        eveURL = string.Format("http://img.eve.is/serv.asp?s=64&c={0}", Model.ekbPilot.eveID);
        //http://img.eve.is/serv.asp?s=64&c=<%=Model.ekbPilot.eveID 

        shipUrl = string.Format("/Content/Ships/64/{0}.png", Model.ShipID);
        pilotName = Model.ekbPilot.PilotName;
        corpName = Model.ekbPlayerCorp.CorpName;
    }

    shipUrl = Html.WebRoot() + shipUrl;
    shipUrl = shipUrl.Replace(@"//", @"/");


    string shipType = (Model.invType == null ? "Unknown" : Html.Encode(Model.invType.typeName));
 %>
<tr>
    <td>
        <table class="details" width="100%" cellpadding="0" cellspacing="0"> 
            <tr class="darkerRow">
                <td rowspan="5" class="<%=pictureClass %>"><img src="<%=eveURL %>" title="<%=eveURL %>"  /></td>
                <td rowspan="5" class="<%=pictureClass %>"><img src="<%=shipUrl %>"</td>
                <%--<td class="data"><%=Html.Encode(pilotName) %></td>--%>
                <td class="data"><%=Html.ActionLink(pilotName, "PersonalStats", new { pilotID = Model.PilotID }, new { @class = "data" })%></td>
            </tr>
            <tr>
                <td class="data"><%=Html.Encode(corpName) %></td> 
            </tr>
            <tr class="darkerRow">
                <td class="data"><%=Html.Encode(AllianceName) %></td>
            </tr>
            <tr>
                <td class="data"><%=shipType %></td>
            </tr>
            <tr class="darkerRow">
                <td class="data"><%=Html.Encode(Model.invType1.typeName) %></td>
            </tr>
            <tr>
                <td class="label" colspan="2">Damage done:</td>
                <td align="left" class="label" style="padding-left: 2px"><%=Html.Encode(string.Format("{0:#,0}", Model.DamageDone)) %></td>
            </tr>

        </table>
    </td>
</tr>
