<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<Killboard.Models.ekbItemDrop>>" %>
<%@ Import Namespace="KillParser" %>
    <table>
        <tr>
            <%
                Killboard.Models.KillRepository repo = new Killboard.Models.KillRepository();
                
                foreach (Killboard.Models.ekbItemDrop item in Model)
                {
                    string itemImg = Html.WebRoot() + string.Format("Content/icons/32/icon{0}.png", item.invType.eveGraphic.icon);
                    string itemAlt = item.invType.typeName;
                  
                    //check meta level
                    int metaLevel = (int)repo.GetMetaLevel(item.invType.typeID);
                    
                    string stylex="regular";

                    string icon = Html.WebRoot() + "Content/siteGraphics/{0}.png";
                    string type = "blank";
                    
                    if(metaLevel == 5)
                    {
                        type ="t2";
                    }
                    else if (metaLevel > 5)
                    {
                        type = "faction";
                    }

                    icon = string.Format(icon, type);
                  
                    for(int i = 0; i < item.itemQty; i++)
                    {
               %>
               <td class="<%=stylex %>"><div style="position:relative;"><img src="<%=itemImg %>" alt="<%=itemAlt%>" title="<%=itemAlt %>"/><div style="position:absolute; left:0; top:0"><img src="<%=icon %>"</div></div></td>
            <%       }
            
                } %>
            </tr>
            </table>

