﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KillParser
{
    public class Pilot
    {
        private bool laidTheFinalBlow = false;

        public bool LaidTheFinalBlow
        {
            get { return laidTheFinalBlow; }
            set { laidTheFinalBlow = value; }
        }

        
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string corpName;

        public string CorpName
        {
            get { return corpName; }
            set { corpName = value; }
        }

        private string alliance;

        public string Alliance
        {
            get { return alliance; }
            set { alliance = value; }
        }


        private string faction;

        public string Faction
        {
            get { return faction; }
            set { faction = value; }
        }

        private string ship;

        public string Ship
        {
            get { return ship; }
            set { ship = value; }
        }

        private string weapon;

        public string Weapon
        {
            get { return weapon; }
            set { weapon = value; }
        }

        private short damageTakenorDone;

        public short DamageTakenOrDone
        {
            get { return damageTakenorDone; }
            set { damageTakenorDone = value; }
        }

        private float secStatus;

        public float SecStatus
        {
            get { return secStatus; }
            set { secStatus = value; }
        }

    }

    public class StarSystem
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private float secStatus;

        public float SecStatus
        {
            get { return secStatus; }
            set { secStatus = value; }
        }
    }

    public class Item
    {
        private string itemName;

        public string ItemName
        {
            get { return itemName; }
            set { itemName = value; }
        }

        private short itemQty;

        public short ItemQty
        {
            get { return itemQty; }
            set { itemQty = value; }
        }

        private bool inCargo;

        public bool InCargo
        {
            get { return inCargo; }
            set { inCargo = value; }
        }

        private bool wasDestroyed;

        public bool WasDestroyed
        {
            get { return wasDestroyed; }
            set { wasDestroyed = value; }
        }
    }

    public class BadKillException : Exception
    {
        public BadKillException() : base() { }
        public BadKillException(string message) : base(message) { }
        public BadKillException(string message, Exception innerException) : base(message, innerException) { }
    }

}
