<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<Killboard.Models.ekbItemDrop>>" %>

<%
    //get correct effect code for each

    //public string[] keysOrder = new string[] { "hiPower", "medPower", "loPower", "rigSlot" };
    
    var vHiPower = from k in Model
                   where k.invType.dgmTypeEffects.Select(o => o.dgmEffect.effectName).Contains("hiPower")
                   select k;

    var vMedPower = from k in Model
                    where k.invType.dgmTypeEffects.Select(o => o.dgmEffect.effectName).Contains("medPower")
                    select k;

    var vLowPower = from k in Model
                    where k.invType.dgmTypeEffects.Select(o => o.dgmEffect.effectName).Contains("loPower")
                    select k;
    
    var vRigs = from k in Model
                where k.invType.dgmTypeEffects.Select(o => o.dgmEffect.effectName).Contains("rigSlot")
                select k;

%>

    <div class="itemSlots">
    
        <table width="100%" cellpadding="2" cellspacing="0" class="lightBorder">
        
            <tr class="itemLoadLabel">
                <td align="center" style="border-right: solid 1px black"><asp:image runat="server" id="Image2" ImageUrl="~/Content/icons/32/icon08_11.png" /></td>
                <td colspan="2" style="border-right: solid 1px black">Fitted - High Slot</td>
                <td align="center">Value</td>
            </tr>
<%    
    foreach (var item in vHiPower.Where(o => o.CargoFlag == false).OrderByDescending(o=>o.DestroyedFlag)) //.OrderBy(o=>o.invType.typeName)
    {
        Html.RenderPartial("ItemDisplay", item); 
    }
%>
            <tr class="itemLoadLabel">
                <!-- <td align="center" style="border-right: solid 1px black"><img src="/Content/icons/32/icon08_10.png" /></td> -->
                <td align="center" style="border-right: solid 1px black"><asp:image runat="server" id="Image1" ImageUrl="~/Content/icons/32/icon08_10.png" /></td>
                <td colspan="2" style="border-right: solid 1px black">Fitted - mid Slot</td>
                <td align="center">Value</td>
            </tr>
<%            
    foreach (var medItem in vMedPower.Where(o => o.CargoFlag == false).OrderBy(o => o.invType.typeName))
    {
        Html.RenderPartial("ItemDisplay", medItem); 
    }

%>
            <tr class="itemLoadLabel">
                <td align="center" style="border-right: solid 1px black"><asp:image runat="server" id="Image3" ImageUrl="~/Content/icons/32/icon08_09.png" /></td>
                <td style="border-right: solid 1px black" colspan="2">Fitted - Low Slot</td>
                <td align="center">Value</td>
            </tr>
<%            
    foreach (var lowItem in vLowPower.Where(o => o.CargoFlag == false).OrderBy(o => o.invType.typeName))
    {
        Html.RenderPartial("ItemDisplay", lowItem); 
    }

%>
            <tr class="itemLoadLabel">
                <td  align="center" style="border-right: solid 1px black"><asp:image runat="server" id="Image4" ImageUrl="~/Content/icons/32/icon68_01.png" /></td>
                <td style="border-right: solid 1px black" colspan="2">Fitted - Rigs</td>
                <td align="center">Value</td>
            </tr>
<%            
    foreach (var rigItem in vRigs.Where(o => o.CargoFlag == false).OrderBy(o => o.invType.typeName))
    {
        Html.RenderPartial("ItemDisplay", rigItem); 
    }
%>
            <tr class="itemLoadLabel">
                <td align="center" style="border-right: solid 1px black"><asp:image runat="server" id="Image5" ImageUrl="~/Content/icons/32/icon03_14.png" /></td>
                <td  style="border-right: solid 1px black"colspan="2">Cargo / Drones</td>
                <td align="center">Value</td>
            </tr>
<%           
    
    var vCargoItems = from x in Model
                     where x.CargoFlag == true
                     select x;
     
    foreach (var rigItem in vCargoItems.OrderBy(o => o.invType.typeName))
    {
        Html.RenderPartial("ItemDisplay", rigItem); 
    }
%>
</table>
</div>