<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Killboard.Models.ekbKill>" %>
<%@Import Namespace="KillParser" %>
<%
    string finalblowPilot = "";
    string finalblowCorp = "";

    var finalBlow = from c in Model.ekbInvolveds
                    where c.LaidFinalBlow == true
                    select c;

    Killboard.Models.KillRepository repo = new Killboard.Models.KillRepository();

    
    if (finalBlow.Count() > 0)
    {
        if (finalBlow.First().isNPC == true)
        {
            finalblowPilot = repo.GetItemName(finalBlow.First().npcID);
            finalblowCorp = repo.GetNPCCorp((int)finalBlow.First().CorpID);            
        }
        else
        {
            finalblowPilot = finalBlow.First().ekbPilot.PilotName;
            finalblowCorp = finalBlow.First().ekbPlayerCorp.CorpName;
        }
    }
    
    Killboard.Models.invType lostShip = repo.GetInvType(Model.VictimShipID);
                    
%>

<tr class="killSummary" onclick="DoNav('<%=Html.WebRoot() %>Kill/KillDisplay2/<%=Model.__ID %>');">
    <td style="min-width: 32px;  min-height: 32px"><%Html.RenderPartial("ItemPic", lostShip ); %></td>
    <td style="min-width: 160px"><%=Html.Encode(Model.invType.typeName) %><br /><div class="smallText"><%=Html.Encode(Model.invType.invGroup.groupName) %></div></td>
    <td style="min-width: 194px"><%=Html.Encode(Model.ekbPilot.PilotName)%><br /><div class="smallText" style="width:240px; overflow:hidden;"><%=Html.Encode(Model.ekbPlayerCorp.CorpName)%></div></td>
    <td style="min-width: 194px"><%=Html.Encode(finalblowPilot) %><br /><div class="smallText"><%=Html.Encode(finalblowCorp) %></div></td>
    <td style="min-width: 80px; text-align: center;"><%=Html.Encode(Model.mapSolarSystem.solarSystemName) %><br /><div class="smallText">(<%=Html.Encode(string.Format("{0:0.0}",Model.mapSolarSystem.security))%>)</div> </td>
    <td style="min-width: 20px; text-align: center;"><%=Html.Encode(Model.ekbInvolveds.Count()) %></td>
    <td style="min-width: 40px"><%=Html.Encode(string.Format("{0:hh:mm}", Model.KillTimeUTC)) %></td>
    <td style="font-size: 8pt;"><%=Html.ActionLink("View", "KillDisplay2", "Kill", new { id = Model.__ID }, new { @class = "shipLink" })%></td>
</tr>

